package de.cliffbreak.varo.listeners;

import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.AsyncPlayerPreLoginEvent;
import org.bukkit.event.player.AsyncPlayerPreLoginEvent.Result;

import de.cliffbreak.varo.Varo;

public class PlayerPreLoginListener implements Listener {

    private final Varo plugin;

    public PlayerPreLoginListener(final Varo plugin) {
        this.plugin = plugin;
    }

    @EventHandler
    public void onPlayerPreLogin(final AsyncPlayerPreLoginEvent e) {
        if (plugin.banUtils.isBanned(e.getPlayerProfile().getId()))
            e.disallow(Result.KICK_BANNED, "§4Du bist gestorben.\n \n§cDamit bist du aus §eVaro§c ausgeschieden.");
    }
}